import { useMenuStore } from '@/store/modules/menu'
import { useUserStore } from '@/store/modules/user'
import { useDictStore } from '@/store/modules/dictionaries'
import { useAppStore } from '@/store/modules/app'
import { useCountStore } from '@/store/modules/counts'

const store = {}
/**
 * 注册全局状态库
 */
export const registerStore = () => {
  store.menuStore = useMenuStore()
  store.userStore = useUserStore()
  store.dictStore = useDictStore()
  store.appStore = useAppStore()
  store.countStore = useCountStore()
}

export default store
